Bug 1015710 - [abrt] phatch-cli-0.2.7-12.fc19: notify.py:70:send:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
[abrt] phatch-cli-0.2.7-12.fc19: notify.py:70:send:GError: GDBus.Error:org.fr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: phatch (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
abrt_hash:93f0242462b785dba0222e81354...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 17:34 EDT by Benjamin.Wolsing
Modified: 2016-01-31 20:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:31:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.98 KB, text/plain)
2013-10-04 17:34 EDT, Benjamin.Wolsing
no flags Details
File: environ (1.14 KB, text/plain)
2013-10-04 17:34 EDT, Benjamin.Wolsing
no flags Details

  None (edit)
Description Benjamin.Wolsing 2013-10-04 17:34:27 EDT
Description of problem:
appeared directly after system startup

Version-Release number of selected component:
phatch-cli-0.2.7-12.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /bin/phatch
dso_list:       phatch-0.2.7-12.fc19.noarch
executable:     /bin/phatch
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
notify.py:70:send:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/phatch/pyWx/gui.py", line 701, in on_menu_tools_execute
    self._execute(actionlist)
  File "/usr/lib/python2.7/site-packages/phatch/pyWx/gui.py", line 300, in _execute
    update=self._send_update_event, **keyw)
  File "/usr/lib/python2.7/site-packages/phatch/core/api.py", line 758, in apply_actions_to_photos
    send.frame_show_notification(message, report=report)
  File "/usr/lib/python2.7/site-packages/phatch/lib/events.py", line 33, in __call__
    return Publisher().sendMessage(self.topic, data)
  File "/usr/lib/python2.7/site-packages/phatch/other/pubsub.py", line 798, in sendMessage
    self.__topicTree.sendMessage(aTopic, message, onTopicNeverCreated)
  File "/usr/lib/python2.7/site-packages/phatch/other/pubsub.py", line 485, in sendMessage
    deliveryCount += node.sendMessage(message)
  File "/usr/lib/python2.7/site-packages/phatch/other/pubsub.py", line 323, in sendMessage
    listener(message)
  File "/usr/lib/python2.7/site-packages/phatch/lib/events.py", line 55, in __call__
    return self.method(*args, **keyw)
  File "/usr/lib/python2.7/site-packages/phatch/pyWx/gui.py", line 253, in show_notification
    wxicon=graphics.bitmap(images.ICON_PHATCH_64))
  File "/usr/lib/python2.7/site-packages/phatch/lib/notify.py", line 70, in send
    n.show()
GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files

Local variables in innermost frame:
wxicon: <wx._gdi.Bitmap; proxy of <Swig Object of type 'wxBitmap *' at 0x3d09fe0> >
title: u'Nicht Gespeicherte Aktionsliste'
n: <pynotify.Notification object at 0x3de3dc0 (NotifyNotification at 0x7f2cbc004040)>
timeout: None
message: u'Ein Bild in 0:00:04 erzeugt'
urgency: None
icon: '/usr/share/phatch/images/icons/48x48/phatch.png'
Comment 1 Benjamin.Wolsing 2013-10-04 17:34:31 EDT
Created attachment 807950 [details]
File: backtrace
Comment 2 Benjamin.Wolsing 2013-10-04 17:34:35 EDT
Created attachment 807951 [details]
File: environ
Comment 3 Fedora End Of Life 2015-01-09 15:07:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:31:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.